Output video
Causes the bot to output a video in the meeting.
Path Parameters
- Type: stringobject
_id requiredBot ID
Headers
- Type: stringAuthorizationrequired
API key for authentication
- Type: stringContent
- Type requiredShould always be application/json
Body·
required
application/json
- Type: stringurlmin length:1Format: urirequired
URL of the video to output. Must be a valid URL to an mp4 file and start with https://.
- Type: booleanloop
Whether to loop the video. Defaults to false.
- Type: booleanmute
_video Whether to mute the video's audio track. Main purpose is to play a video as the bot's webcam while keeping the bot's microphone muted. Defaults to false.
Responses
- 200
Video request created successfully
- 400
Invalid input
- 404
Bot not found
Request Example for post/api/v1/bots/{object_id}/output_video
curl https://app.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx/output_video \
--request POST \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data '{
"url": "https://example.com/video.mp4",
"loop": true
}'
No Body